<?php
function konk_module_get_signup_form(&$konk, $html, $options=array()) {
    return $html;
}
        
function konk_module_get_application(&$konk, $app) {
    
    $return = '';
        for($i=1;$i<=KONK_CUSTOM_FIELDS_NO;$i++) {
            if($konk -> info['question'.$i] != '') {
                $return .= '<b>'.$konk->info['question'.$i].'</b>: '.konk_clickable_links($app['answer'.$i]).'<br />';
            }
        }
    
    return $return;
}

function konk_module_validate_signup(&$konk, $data) {
	
	$errors = array();
    $url = isset($data['konk_signup_url']) ? $data['konk_signup_url'] : '';
    
    if(strlen($url)==0) {
        $errors[] = __('Nu ai introdus URL-ul catre postul tau');
        return $errors;
    } elseif (!konk_validate($url, 'url')) {
        $errors[] = __('URL invalid');
        return $errors;
    }
    
    $remote_content = file_get_contents($url);
    
	for($i=1; $i<=KONK_CUSTOM_FIELDS_NO;$i+=2) {
		if($konk -> info['question'.$i] != '') {
            $link  = $konk -> info['question'.$i];
            $title = $konk -> info['question'.($i+1)];
            if($konk -> info['question'.($i+1)] !='') {
                $regex = '<a[^>]*href="'.str_replace('.', '\.', $link).'"[^>]*>'.str_replace(' ', ' ', $title).'</a>';                                
                if(!eregi($regex, $remote_content)) {
                    $errors[] = sprintf(__('Pagina ta nu contine linkul: <a href="%s">%s</a>'), $link, $title);   
                }
            }			
		}
	}
	
	return $errors;
}
?>
