<?php
function konk_module_get_signup_form(&$konk, $html, $options=array()) {
    for($i=1;$i<=KONK_CUSTOM_FIELDS_NO;$i++) {            
        if($options['question'.$i] == '') {
            //ignore the $i question, since there's no label defined for this contest
            $html = konk_strip_template_tag($html, 'question'.$i, true);
        } else {
            //get rid of template tags
            $html = konk_strip_template_tag($html, 'question'.$i, false);
        }
    }
    return $html;
}
        
function konk_module_get_application(&$konk, $app) {
    
    $return = '';
        for($i=1;$i<=KONK_CUSTOM_FIELDS_NO;$i++) {
            if($konk -> info['question'.$i] != '') {
                $return .= '<b>'.$konk->info['question'.$i].'</b>: '.konk_clickable_links($app['answer'.$i]).'<br />';
            }
        }
    
    return $return;
}

function konk_module_validate_signup(&$konk, $data) {
	
	$error = array();
	for($i=1; $i<=KONK_CUSTOM_FIELDS_NO;$i++) {
		if($konk -> info['question'.$i] != '' && (!isset($data['konk_signup_answer'.$i]) || strlen($data['konk_signup_answer'.$i]) == 0)) {			
			$errors[] = __('Nu ai raspuns la intrebarea concursului!');
		}
	}
	
	return $errors;
}
?>
