/* Konkurs - wordpress plugin for running contests on your blog */
function konk_check_contest() {
    contest_title      = document.getElementById('konk_title').value;
    contest_start_date = document.getElementById('konk_start_date').value;
    contest_end_date   = document.getElementById('konk_end_date').value; 
    
    var signup_errors = new Array();
    
    if(contest_title.length == 0) {
        signup_errors.push('Nu ai introdus titlul concursului');        
    }
    if(!konk_check_date(contest_start_date))
        signup_errors.push('Data de inceput trebuie sa fie in formatul aaaa-ll-zz hh:mm:ss');
    if(!konk_check_date(contest_end_date))
        signup_errors.push('Data de sfarsit trebuie sa fie in formatul aaaa-ll-zz hh:mm:ss');
    
    if(signup_errors.length > 0) {
        alert(signup_errors.join('\n'));
        return false;
    }
    
    return true;
}

function konk_check_date(d) {
    if(d == '0000-00-00 00:00:00')
        return false;
    var date_values = d.split(' ');
    var d1 = date_values[0].split('-');
    if(d1.length != 3)
        return false;
    else
        if(d1[0].length != 4 || d1[1].length != 2 || d1[2].length != 2)
                return false;
    return true;
}

function konk_toggle(oLid,did) {
    oDid = document.getElementById(did);
    
    if(oDid.style.display == "none") {
        oLid.innerHTML = oLid.innerHTML.replace(/\+/, '-');
        oDid.style.display = "block";
    } else {
        oLid.innerHTML = oLid.innerHTML.replace(/\-/, '+');
        oDid.style.display = "none";
    }
    
}